From 0ac4a3d1cbae68abef3a66e5f546538836220c6f Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Fri, 25 Apr 2025 21:52:05 +0200
Subject: [PATCH 1/2] kwallet.m4: Add Qt6/KF6 option

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 build/ac-macros/kwallet.m4 | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/build/ac-macros/kwallet.m4 b/build/ac-macros/kwallet.m4
index ee5b5e5..42ece51 100644
--- a/build/ac-macros/kwallet.m4
+++ b/build/ac-macros/kwallet.m4
@@ -26,7 +26,7 @@ AC_DEFUN(SVN_LIB_KWALLET,
 [
   AC_ARG_WITH(kwallet,
     [AS_HELP_STRING([[--with-kwallet[=PATH|INCDIR:LIBDIR]]],
-                    [Enable use of KWallet (KDE 5 or 4) for auth credentials.
+                    [Enable use of KWallet (KF6, KF5 or KDELibs4) for auth credentials.
                      PATH is the KDE install path, alternatively INCDIR:LIBDIR
                      are the header and library install paths. ])],
                     [svn_lib_kwallet="$withval"],
@@ -45,7 +45,14 @@ AC_DEFUN(SVN_LIB_KWALLET,
           if test -n "$PKG_CONFIG"; then
             if test "$HAVE_DBUS" = "yes"; then
               AC_MSG_CHECKING([for Qt])
-              if $PKG_CONFIG --exists Qt5Core Qt5DBus Qt5Gui; then
+              if $PKG_CONFIG --exists Qt6Core Qt6DBus Qt6Gui; then
+                AC_MSG_RESULT([yes, Qt6])
+                qt_pkg_config_names="Qt6Core Qt6DBus Qt6Gui"
+                kde_config_name=""
+                AC_DEFINE([SVN_HAVE_KF5], [1], [Defined if KF5 or higher available])
+                kde_inc_names="KF6/KWallet KF6/KCoreAddons KF6/KI18n"
+                kde_lib_names="-lKF6Wallet -lKF6I18n -lKF6CoreAddons -lQt6Gui -lQt6DBus -lQt6Core"
+              elif $PKG_CONFIG --exists Qt5Core Qt5DBus Qt5Gui; then
                 AC_MSG_RESULT([yes, Qt5])
                 qt_pkg_config_names="Qt5Core Qt5DBus Qt5Gui"
                 kde_config_name="kf5-config"
-- 
2.49.0


From 0f7d4784e0f09441a2d598dabd4cbcabbcbe5cab Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Fri, 25 Apr 2025 22:12:47 +0200
Subject: [PATCH 2/2] C++17

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 build/ac-macros/compiler.m4 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/build/ac-macros/compiler.m4 b/build/ac-macros/compiler.m4
index 53185b7..bd51ffe 100644
--- a/build/ac-macros/compiler.m4
+++ b/build/ac-macros/compiler.m4
@@ -102,7 +102,7 @@ AC_DEFUN([SVN_CXX_MODE_SETUP],
   if test "$GXX" = "yes"; then
     dnl Find flags to force C++98 mode
                   dnl g++ and clang++
-    SVN_CXXFLAGS_ADD_IFELSE([-std=c++11])
+    SVN_CXXFLAGS_ADD_IFELSE([-std=c++17])
   fi
 
   CXXMODEFLAGS="$CXXFLAGS"
-- 
2.49.0

